kind: CustomResourceDefinition
spec:
  group: superset.stackable.tech
  names:
    kind: DruidConnection
    plural: druidconnections
    singular: druidconnection
    categories: []
    shortNames: []
  scope: Namespaced
  versions:
    - name: v1alpha1
      schema:
        openAPIV3Schema:
          type: object
          title: DruidConnection
          required:
            - spec
          properties:
            spec:
              type: object
              required:
                - druid
                - superset
              properties:
                druid:
                  type: object
                  required:
                    - name
                  properties:
                    name:
                      type: string
                    namespace:
                      type: string
                      nullable: true
                superset:
                  type: object
                  required:
                    - name
                  properties:
                    name:
                      type: string
                    namespace:
                      type: string
                      nullable: true
            status:
              type: object
              nullable: true
              required:
                - condition
              properties:
                condition:
                  enum:
                    - Pending
                    - Importing
                    - Ready
                    - Failed
                  type: string
                startedAt:
                  type: string
                  format: date-time
                  nullable: true
                  description: Time is a wrapper around time.Time which supports correct
                    marshaling to YAML and JSON.  Wrappers are provided for many
                    of the factory methods that the time package offers.
          description: Auto-generated derived type for DruidConnectionSpec via
            `CustomResource`
      served: true
      storage: true
      subresources:
        status: {}
      additionalPrinterColumns: []
metadata:
  name: druidconnections.superset.stackable.tech
  annotations:
    helm.sh/resource-policy: keep
apiVersion: apiextensions.k8s.io/v1
